<template>
  <ul class="breadcrumb">
    <li
      v-for="(item, key) of route.matched"
      :key="key"
      class="breadcrumb__link"
    >
      <router-link :to="item.path">
        {{ item.name }}
      </router-link>
    </li>
  </ul>
</template>

<script setup>
import { useRoute } from 'vue-router';

const route = useRoute();
</script>

<style lang="scss" scoped>
.breadcrumb {
  list-style-type: none;
  display: flex;
  margin-bottom: 20px;
  li {
    padding: 0 25px 0 10px;
  }

  &__link {
    position: relative;
    &:not(:last-child) {
      &::after {
        content: '';
        position: absolute;
        width: 20px;
        height: 20px;
        top: 50%;
        right: 0;
        transform: translateY(-50%);
        background: url('../assets/images/icon_arrow-right.svg') no-repeat
          center;
        background-size: 100% 100%;
      }
    }
  }
}
</style>
